Subject: Re: perl module readline
From: "Gerrit P. Haase" <[email-masked]>
To: Melvyn Sopacua <[email-masked]>
Cc: [email-masked]
Date: Sat, 9 Dec 2000 21:42:01 +0100

<9 Dec 2000, 18:47 Uhr wars, als Melvyn Sopacua folgendes schrub:>
< Re: perl module readline >

> Gerrit P. Haase wrote:
> 
> > Hi Cygwinners, hi porters,
> > 
> > i got problems after installing the term-readline-perl-module that comes
> > with Bundle::CPAN, the output on the shell works not correct after install
> > and also the input is wrong, always had to hit enter two times.
> 
> [snip]
[...]
> Yep, not with the module itself, but any application on Cygwin, that 
> works with a STDIN and is not compiled under Cygwin. For instance,

I wonder a bit...
I compiled my perl under cygwin, what else?
 
> running the htpasswd app, from either the Sambar Server or Apache, first 
> waits for STDIN, then shows the STDOUT called _before_ that, and 
> newlines are passed to the app, as characters, as far as I can see. The 
> latter issue, is assumed, because in my password files, newlines we're 
> entered.
> 
> Simirarly an ActivePerl standard win32 distribution, called as:
> /cygdrive/d/usr/local/bin/perl c:/path/script options
> which uses terminal input, displays the same behaviour.

And it worked with an earlier snapshot of perl...

Is there a known workaround to that issue?

gph

-- 
Gerrit Peter Haase

--
Want to unsubscribe from this list?
Send a message to [email-masked]